<mat-horizontal-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="detailsFormGroup">

        <form [formGroup]="detailsFormGroup">
            <ng-template matStepLabel>Personal Details</ng-template>

            <div>
                <mat-form-field class="form-field">
                    <input matInput placeholder="Name" formControlName="name" [(ngModel)]="user.name" required>
                    <mat-icon matSuffix>person</mat-icon>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field class="form-field">
                    <input matInput placeholder="Phone" formControlName="phone" [(ngModel)]="user.phone" required>
                    <mat-icon matSuffix>phone</mat-icon>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field class="form-field">
                    <input matInput placeholder="Email" formControlName="email" [(ngModel)]="user.email" readonly>
                    <mat-icon matSuffix> email</mat-icon>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field class="form-field">
                    <input matInput placeholder="GitLab Username" formControlName="gitLabUsername"
                        [(ngModel)]="user.gitLabUsername" [readonly]="hasGitLabAccount">
                    <mat-icon matSuffix *ngIf="hasGitLabAccount">verified_user</mat-icon>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field class="form-field">
                    <textarea matInput placeholder="Tell us about yourself" formControlName="description"
                        [(ngModel)]="user.description" style="height: 200px;">
                    </textarea>
                    <mat-icon matSuffix>description</mat-icon>
                </mat-form-field>
            </div>
            <div>
                <button mat-button matStepperNext>Next</button>
            </div>
            <!-- <pre>
                {{detailsFormGroup.value | json}}
            </pre> -->
        </form>

    </mat-step>

    <mat-step [stepControl]="goalsFormGroup">
        <form [formGroup]="goalsFormGroup">
            <ng-template matStepLabel>Pick the goals you are interested in</ng-template>
            <mat-form-field floatPlaceholder="always" class="form-field">
                <input matInput placeholder="Goals" readonly>

                <section class="example-section">
                    <div class="row" *ngFor="let goal of goals; let i=index">
                        <img [src]="goal.img" width=50px height=50px style="vertical-align: middle;">
                        <label>
                            <input type="checkbox" [value]="goal.value" [checked]="goal.checked"
                                (change)="onGoalsCheckboxChange($event)" class="example-margin" />
                            {{goal.title}}
                        </label>
                    </div>
                </section>

            </mat-form-field>
            <div>
                <button mat-button matStepperPrevious>Back</button>
                <button mat-button matStepperNext>Next</button>
            </div>
            <!-- <pre>
                {{goalsFormGroup.value | json}}
            </pre> -->
        </form>
    </mat-step>

    <mat-step [stepControl]="skillsetsFormGroup">
        <form [formGroup]="skillsetsFormGroup">
            <ng-template matStepLabel>Please tell us your skillset</ng-template>

            <div *ngFor="let skill of skills">
                <input matInput [placeholder]="skill.title" readonly>
                <mat-radio-group [formControlName]="skill.value">
                    <mat-radio-button class="example-radio-button" *ngFor="let option of skill.options"
                        [value]="option.id" [checked]="option.checked">
                        {{option.name}}
                    </mat-radio-button>
                </mat-radio-group>
            </div>

            <div>
                <button mat-button matStepperPrevious>Back</button>
                <button mat-button matStepperNext>Next</button>
            </div>
            <!-- <pre>
                {{skillsetsFormGroup.value | json}}
            </pre> -->
        </form>
    </mat-step>
    <mat-step [stepControl]="availabilityFormGroup">

        <form [formGroup]="availabilityFormGroup">
            <ng-template matStepLabel>Please tell us your usual availability</ng-template>

            <mat-form-field floatPlaceholder="always" class="form-field">
                <input matInput placeholder="Availability" readonly>

                <section class="example-section">
                    <li>
                        Weekend Evening
                        <mat-slider formControlName="weekendEvening" [(ngModel)]="user.availability.weekendEvening"
                            [max]="MAX_HOURS" [min]="MIN_HOURS" step="1">
                        </mat-slider>&nbsp;
                        <label>{{user.availability.weekendEvening}} hrs</label>
                    </li>

                    <li>
                        Weekend Afternoon
                        <mat-slider formControlName="weekendAfternoon" [(ngModel)]="user.availability.weekendAfternoon"
                            [max]="MAX_HOURS" [min]="MIN_HOURS" step="1">
                        </mat-slider>&nbsp;
                        <label>{{user.availability.weekendAfternoon}} hrs</label>
                    </li>

                    <li>
                        Weekend Morning
                        <mat-slider formControlName="weekendMorning" [(ngModel)]="user.availability.weekendMorning"
                            [max]="MAX_HOURS" [min]="MIN_HOURS" step="1">
                        </mat-slider>&nbsp;
                        <label>{{user.availability.weekendMorning}} hrs</label>
                    </li>

                    <li>
                        Weekday Evening
                        <mat-slider formControlName="weekdayEvening" [(ngModel)]="user.availability.weekdayEvening"
                            [max]="MAX_HOURS" [min]="MIN_HOURS" step="1">
                        </mat-slider>&nbsp;
                        <label>{{user.availability.weekdayEvening}} hrs</label>
                    </li>

                    <li>
                        Weekday Afternoon
                        <mat-slider formControlName="weekdayAfternoon" [(ngModel)]="user.availability.weekdayAfternoon"
                            [max]="MAX_HOURS" [min]="MIN_HOURS" step="1">
                        </mat-slider>&nbsp;
                        <label>{{user.availability.weekdayAfternoon}} hrs</label>
                    </li>

                    <li>
                        Weekday Morning
                        <mat-slider formControlName="weekdayMorning" [(ngModel)]="user.availability.weekdayMorning"
                            [max]="MAX_HOURS" [min]="MIN_HOURS" step="1">
                        </mat-slider>&nbsp;
                        <label>{{user.availability.weekdayMorning}} hrs</label>
                    </li>
                </section>

            </mat-form-field>
            <div>
                <button mat-button matStepperPrevious>Back</button>
                <button mat-button matStepperNext>Next</button>
            </div>
            <!-- <pre>
                {{availabilityFormGroup.value | json}}
            </pre> -->
        </form>
    </mat-step>
    <mat-step>
        <ng-template matStepLabel>Your current projects</ng-template>
        <div *ngFor="let project of user.projects">
            <li> {{project.name}}
        </div>
        <div>
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button (click)="submit()">Done</button>
        </div>
        {{message}}
    </mat-step>
</mat-horizontal-stepper>